Subject: bug#61307: 30.0.50; pixel-scroll-precision-mode: window-scroll-functions?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Feb 2023 10:22:43 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Feb 2023 05:57:18 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > But I understand that what I see when scrolling with a normal wheel
> > > mouse is only one case we need to handle.
> 
> > Right.  Though on such a system, we should probably call
> > window-scroll-functions every scroll.
> 
> Is receiving <wheel-up> and <wheel-down> events a sufficient hint that
> the user is scrolling using a "normal" wheel mouse?

I'm not sure, but Po Lu will know.

In any case, AFAIR some mice produce mouse-4 and mouse-5 events
instead, so relying on the events' symbols might not be the best
idea.  We are supposed to know whether the device supports pixel
precision, so maybe basing the decision on that is better?